Gtk_Combo(3)

NAME - Gtk_Combo

HEADER REQUIRED
#include <gtk--/combo.h&gt;>

BASE CLASSES
Gtk_HBox(3)

PROPERTIES

entry
    Type: Gtk_Widget*

button
    Type: Gtk_Widget*

popup
    Type: Gtk_Widget*

popwin
    Type: Gtk_Widget*

list
    Type: Gtk_Widget*

entry_change_id
    Type: guint

list_change_id
    Type: guint

value_in_list
    Type: guint:1

ok_if_empty
    Type: guint:1

case_sensitive
    Type: guint:1

use_arrows
    Type: guint:1

use_arrows_always
    Type: guint:1

current_button
    Type: guint16

activate_id
    Type: guint

     .IP

PUBLIC MEMBER INDEX
    Gtk_Combo();
    Gtk_Combo(GtkCombo *castitem);
    void  set_value_in_list(bool val, bool ok_if_empty);
      whether the text in the entry must be or not be in the list
    void  set_use_arrows(bool val);
      set/unset arrows working for changing the value (can be annoying
    void  set_use_arrows_always(bool val);
      up/down arrows change value if current value not in list
    void  set_case_sensitive(bool val);
      perform case-sensitive compares
    void  set_item_string(Gtk_Item* item, const _gtk_string &item_value);
    void  set_popdown_strings(GList *strings);
    void  set_popdown_strings(const G_List_string &strings);
    void  disable_activate();
    Gtk_Entry*  get_entry();
    Gtk_Button*  get_button();
    Gtk_ScrolledWindow*  get_popup();
    Gtk_Window*  get_popwin();
    Gtk_List*  get_list();
    const Gtk_Entry*  get_entry() const;
    const Gtk_Button*  get_button() const;
    const Gtk_ScrolledWindow*  get_popup() const;
    const Gtk_Window*  get_popwin() const;
    const Gtk_List*  get_list() const;
    GtkCombo*  gtkobj();
    const GtkCombo*  gtkobj() const;
    static bool  isGtkCombo(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkCombo  BaseObjectType;
    typedef GtkComboClass  BaseClassType;
    virtual void * get_parent_class();
    Gtk_Entry  entry_;
    Gtk_Button  button_;
    Gtk_ScrolledWindow  popup_;
    Gtk_Window  popwin_;
    Gtk_List  list_;

PRIVATE MEMBER INDEX
    static CppClassType  combo_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS